Subject: Want to know what the real Russian girls love and warmth?

From: [email-masked]
Date: Tue, 16 Feb 2010 17:55:35 -0600

You have little joy in life? Lacks warmth and affection? Come to me. Click Here